function GoH5_DeathKnight_DefaultVariables()

	-- Minimap SavedVariables
	GoH_MinimapIcon = {
		GoH_MinimapPos = -61 -- default position of the minimap icon in degrees
	}

       GoHv5_DeathKnight_Data = { };
        	GoHv5_DeathKnight_Data.config = { };

				GoHv5_wait(0.5, GoH5_DeathKnight_SavedVariables,"");
				-- GoH5_DeathKnight_SavedVariables();

end

function GoH5_PrintMSG(msg)

	if GoHv5_DeathKnight_Data.config.Loading_Messages == "YES" then
		print(msg);
	else
	end

end

function GoH5_DeathKnight_SavedVariables()

	if GoH_DeathKnight.SavedVariablesLoaded == "NO" then

				GoHv5_wait(0.5, GoH5_PrintMSG,"Get Over Here! - Loading...");


				-- GOH: OTHER PEOPLES GET OVER HERE SOUNDS
				  if GoHv5_DeathKnight_Data.config.OTHER_PEOPLES_GOH_SOUNDS == nil then
					GoHv5_DeathKnight_Data.config.OTHER_PEOPLES_GOH_SOUNDS = "NO";
				  end

				-- GOH: DUEL DECLINED
				  if GoHv5_DeathKnight_Data.config.GOH_DUEL_WAS_DECLINED == nil then
					GoHv5_DeathKnight_Data.config.GOH_DUEL_WAS_DECLINED = "NO";
				  end

				-- GOH SETTING: YOUR CLASS IS THAT FRAME OPENED
				  if GoHv5_DeathKnight_Data.config.GOH_CLASS_OPEN == nil then
					GoHv5_DeathKnight_Data.config.GOH_CLASS_OPEN = "NO";
				  end

				-- GOH SETTING: FRAME THAT IS OPEN/CLOSED
				  if GoHv5_DeathKnight_Data.config.GOH_FRAME_THAT_IS_OPEN == nil then
					GoHv5_DeathKnight_Data.config.GOH_FRAME_THAT_IS_OPEN = " ALL";
				  end

				-- GOH SETTING: SERVER MESSAGES - SHUT DOWN ALERT
				  if GoHv5_DeathKnight_Data.config.Server_Shutdown_Alert == nil then
					GoHv5_DeathKnight_Data.config.Server_Shutdown_Alert = "NO";
				  end
				-- GOH SETTING: SERVER MESSAGES - HEROIC NORMAL ALERTS
				  if GoHv5_DeathKnight_Data.config.Heroic_Normal_Alert == nil then
					GoHv5_DeathKnight_Data.config.Heroic_Normal_Alert = "NO";
				  end
				-- GOH SETTING: SERVER MESSAGES - DAILY QUEST ALERTS
				  if GoHv5_DeathKnight_Data.config.Daily_Quest_Alert == nil then
					GoHv5_DeathKnight_Data.config.Daily_Quest_Alert = "NO";
				  end

				-- GOH SETTING: INTERRUPT ANNOUNCEMENT VISUALS
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_VISUAL == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_VISUAL = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT TARGET
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_TARGET == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_TARGET = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT SPELL
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_SPELL == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_SPELL = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT SELF
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_SELF == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_SELF = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT RAID
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_RAID == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_RAID = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT PARTY
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_PARTY == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_PARTY = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT YELL
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_YELL == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_YELL = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT SAY
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_SAY == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_SAY = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT EMOTE
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_EMOTE == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_EMOTE = "NO";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENT CHANNEL
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcement_Channel == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcement_Channel = "EMOTE";
				end
				-- GOH SETTING: INTERRUPT ANNOUNCEMENTS ENABLED?
	  			if GoHv5_DeathKnight_Data.config.Interrupt_Announcements_Enabled == nil then
					GoHv5_DeathKnight_Data.config.Interrupt_Announcements_Enabled = "NO";
				end

				-- GOH SETTING: IS VISIBLE CHECK
	  			if GoHv5_DeathKnight_Data.config.Menu_IsVisible == nil then
					GoHv5_DeathKnight_Data.config.Menu_IsVisible = "NO";
				end

				-- GOH SETTING: LOADING MESSAGES
	  			if GoHv5_DeathKnight_Data.config.Loading_Messages == nil then
					GoHv5_DeathKnight_Data.config.Loading_Messages = "NO";
				end
				-- GOH SETTING: GENDER BENDER
	  			if GoHv5_DeathKnight_Data.config.Gender_Bender == nil then
					GoHv5_DeathKnight_Data.config.Gender_Bender = "NO";
				end
				-- GOH SETTING: SPELL WAS CAST
	  			if GoHv5_DeathKnight_Data.config.Spell_Was_Cast == nil then
					GoHv5_DeathKnight_Data.config.Spell_Was_Cast = "NO";
				end
				-- GOH SETTING: SPELL ANNOUNCEMENT YELL
	  			if GoHv5_DeathKnight_Data.config.Spell_Announcement_YELL == nil then
					GoHv5_DeathKnight_Data.config.Spell_Announcement_YELL = "NO";
				end
				-- GOH SETTING: SPELL ANNOUNCEMENT SAY
	  			if GoHv5_DeathKnight_Data.config.Spell_Announcement_SAY == nil then
					GoHv5_DeathKnight_Data.config.Spell_Announcement_SAY = "NO";
				end
				-- GOH SETTING: SPELL ANNOUNCEMENT EMOTE
	  			if GoHv5_DeathKnight_Data.config.Spell_Announcement_EMOTE == nil then
					GoHv5_DeathKnight_Data.config.Spell_Announcement_EMOTE = "NO";
				end
				-- GOH SETTING: SPELL ANNOUNCEMENT CHANNEL
	  			if GoHv5_DeathKnight_Data.config.Spell_Announcement_Channel == nil then
					GoHv5_DeathKnight_Data.config.Spell_Announcement_Channel = "EMOTE";
				end
				-- GOH SETTING: SPELL ANNOUNCEMENTS ENABLED?
	  			if GoHv5_DeathKnight_Data.config.Spell_Announcements_Enabled == nil then
					GoHv5_DeathKnight_Data.config.Spell_Announcements_Enabled = "NO";
				end
				-- GOH SETTING: GOH SCALE CHANGED?
	  			if GoHv5_DeathKnight_Data.config.GoHv5_Scale_Changed == nil then
					GoHv5_DeathKnight_Data.config.GoHv5_Scale_Changed = "NO";
				end
				-- GOH SETTING: GOH SCALE
	  			if GoHv5_DeathKnight_Data.config.GoHv5_Scale == nil then
					GoHv5_DeathKnight_Data.config.GoHv5_Scale = 0.9;
				end
				-- GOH SETTING: GOH ALPHA
	  			if GoHv5_DeathKnight_Data.config.GoHv5_Alpha == nil then
					GoHv5_DeathKnight_Data.config.GoHv5_Alpha = 0.85;
				end

				-- GOH SETTING: HUD SIZE SLIDER
	  			if GoHv5_DeathKnight_Data.config.GoHv5_SliderSetter == nil then
					GoHv5_DeathKnight_Data.config.GoHv5_SliderSetter = 0.9;
				end
				-- GOH SETTING: MENU FADE IN AND OUT
	  			if GoHv5_DeathKnight_Data.config.Fade_Menu_In_and_Out == nil then
					GoHv5_DeathKnight_Data.config.Fade_Menu_In_and_Out = "NO";
				end
				-- GOH PLUGIN: POKEMON
	  			if GoHv5_DeathKnight_Data.config.Plugin_Pokemon == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Pokemon = "NO";
				end
				-- GOH PLUGIN: MOUNTS
	  			if GoHv5_DeathKnight_Data.config.Plugin_Mounts == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Mounts = "NO";
				end
				-- GOH PLUGIN: WARRIOR
	  			if GoHv5_DeathKnight_Data.config.Plugin_Warrior == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Warrior = "NO";
				end
				-- GOH PLUGIN: WARLOCK
	  			if GoHv5_DeathKnight_Data.config.Plugin_Warlock == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Warlock = "NO";
				end
				-- GOH PLUGIN: SHAMAN
	  			if GoHv5_DeathKnight_Data.config.Plugin_Shaman == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Shaman = "NO";
				end
				-- GOH PLUGIN: ROGUE
	  			if GoHv5_DeathKnight_Data.config.Plugin_Rogue == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Rogue = "NO";
				end
				-- GOH PLUGIN: PRIEST
	  			if GoHv5_DeathKnight_Data.config.Plugin_Priest == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Priest = "NO";
				end
				-- GOH PLUGIN: PALADIN
	  			if GoHv5_DeathKnight_Data.config.Plugin_Paladin == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Paladin = "NO";
				end
				-- GOH PLUGIN: MONK
	  			if GoHv5_DeathKnight_Data.config.Plugin_Monk == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Monk = "NO";
				end
				-- GOH PLUGIN: MAGE
	  			if GoHv5_DeathKnight_Data.config.Plugin_Mage == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Mage = "NO";
				end
				-- GOH PLUGIN: HUNTER
	  			if GoHv5_DeathKnight_Data.config.Plugin_Hunter == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Hunter = "NO";
				end
				-- GOH PLUGIN: DRUID
	  			if GoHv5_DeathKnight_Data.config.Plugin_Druid == nil then
					GoHv5_DeathKnight_Data.config.Plugin_Druid = "NO";
				end

				-- GOH SETTING: USE HUD - PLAYER
	  			if GoHv5_DeathKnight_Data.config.Use_HUD_Player == nil then
					GoHv5_DeathKnight_Data.config.Use_HUD_Player = "NO";
				end
				-- GOH SETTING: USE HUD - VS
	  			if GoHv5_DeathKnight_Data.config.Use_HUD_VS == nil then
					GoHv5_DeathKnight_Data.config.Use_HUD_VS = "NO";
				end
				-- GOH SETTING: USE HUD - TARGET
	  			if GoHv5_DeathKnight_Data.config.Use_HUD_Target == nil then
					GoHv5_DeathKnight_Data.config.Use_HUD_Target = "NO";
				end
				-- GOH SETTING: USE VS HEADS UP DISPLAY
	  			if GoHv5_DeathKnight_Data.config.Use_VS_HUD == nil then
					GoHv5_DeathKnight_Data.config.Use_VS_HUD = "NO";
				end
				-- GOH SETTING: USE VS HEADS UP DISPLAY ONLY IN COMBAT
	  			if GoHv5_DeathKnight_Data.config.Use_VS_HUD_COMBAT_ONLY == nil then
					GoHv5_DeathKnight_Data.config.Use_VS_HUD_COMBAT_ONLY = "NO";
				end
				-- GOH: RARE ALERT
	  			if GoHv5_DeathKnight_Data.config.ALERTED_ABOUT_A_RARE == nil then
					GoHv5_DeathKnight_Data.config.ALERTED_ABOUT_A_RARE = "NO";
				end
				-- GOH SETTING: FATALITY EXAMPLE
	  			if GoHv5_DeathKnight_Data.config.Fatality_Example == nil then
					GoHv5_DeathKnight_Data.config.Fatality_Example = "NO";
				end
				-- GOH SETTING: USE CRITICAL HITS
	  			if GoHv5_DeathKnight_Data.config.Use_Critical_Hits == nil then
					GoHv5_DeathKnight_Data.config.Use_Critical_Hits = "NO";
				end
				-- GOH TEMP VALUE: CRITICAL HIT COUNTER
	  			if GoHv5_DeathKnight_Data.config.COUNTER_Critical_Hits == nil then
					GoHv5_DeathKnight_Data.config.COUNTER_Critical_Hits = 0;
				end
				-- GOH SETTING: USE KILLING BLOWS
	  			if GoHv5_DeathKnight_Data.config.Use_Killing_Blows == nil then
					GoHv5_DeathKnight_Data.config.Use_Killing_Blows = "NO";
				end
				-- GOH TEMP VALUE: KILLING BLOW COUNTER
	  			if GoHv5_DeathKnight_Data.config.COUNTER_Killing_Blows == nil then
					GoHv5_DeathKnight_Data.config.COUNTER_Killing_Blows = 0;
				end

				-- CHECK TO SEE IF DARNELLIFY IS INSTALLED
				_, _, _, Darnellify_Addon_enabled, _, _, _ = GetAddOnInfo("Darnellify")
				if Darnellify_Addon_enabled == 1 then
				-- IF DARNELLIFY IS INSTALLED

					-- GOH FILTER: USE ERROR TEXT FILTER
					if GoHv5_DeathKnight_Data.config.USE_ERROR_TEXT == nil then
						GoHv5_DeathKnight_Data.config.USE_ERROR_TEXT = "NO";
					end

				else
				-- IF DARNELLIFY IS NOT INSTALLED

					-- GOH FILTER: USE ERROR TEXT FILTER
					if GoHv5_DeathKnight_Data.config.USE_ERROR_TEXT == nil then
						GoHv5_DeathKnight_Data.config.USE_ERROR_TEXT = "NO";
					end

				end

				-- GOH SCOREBOARD: ANIMALITY
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Animality == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Animality = 0;
				end
				-- GOH SCOREBOARD: ANNIHILATED
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Annihilated == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Annihilated = 0;
				end
				-- GOH SCOREBOARD: BABALITY
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Babality == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Babality = 0;
				end
				-- GOH SCOREBOARD: BRUTALITY
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Brutality == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Brutality = 0;
				end
				-- GOH SCOREBOARD: EXCELLENT
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Excellent == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Excellent = 0;
				end
				-- GOH SCOREBOARD: FABULOUS
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Fabulous == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Fabulous = 0;
				end
				-- GOH SCOREBOARD: FATALITY
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Fatality == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Fatality = 0;
				end
				-- GOH SCOREBOARD: FLAWLESS VICTORY
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_FlawlessVictory == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_FlawlessVictory = 0;
				end
				-- GOH SCOREBOARD: IMPRESSIVE
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Impressive == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Impressive = 0;
				end
				-- GOH SCOREBOARD: OUTSTANDING
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Outstanding == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Outstanding = 0;
				end
				-- GOH SCOREBOARD: SUPERB
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Superb == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Superb = 0;
				end
				-- GOH SCOREBOARD: WELL DONE
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_WellDone == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_WellDone = 0;
				end
				-- GOH SCOREBOARD: WONDERFUL
	  			if GoHv5_DeathKnight_Data.config.ScoreBoard_Wonderful == nil then
					GoHv5_DeathKnight_Data.config.ScoreBoard_Wonderful = 0;
				end

				-- GOH DEBUGGER: HIDE THE BULLSHIT BLIZZARD LUA ERROR REPORTER
	  			if GoHv5_DeathKnight_Data.config.DEBUG_HIDE_BLIZZARD_LUA_ERRORS == nil then
					GoHv5_DeathKnight_Data.config.DEBUG_HIDE_BLIZZARD_LUA_ERRORS = "YES";
				end
				-- GOH DEBUGGER: HIDE THE BULLSHIT BLIZZARD ACTION FORBIDDEN REPORTER
	  			if GoHv5_DeathKnight_Data.config.DEBUG_HIDE_BLIZZARD_ACTION_FORBIDDEN == nil then
					GoHv5_DeathKnight_Data.config.DEBUG_HIDE_BLIZZARD_ACTION_FORBIDDEN = "YES";
				end
				-- GOH DEBUGGER: COMBAT_LOG_EVENT_UNFILTERED
	  			if GoHv5_DeathKnight_Data.config.DEBUG_COMBAT_LOG_EVENT_UNFILTERED == nil then
					GoHv5_DeathKnight_Data.config.DEBUG_COMBAT_LOG_EVENT_UNFILTERED = "NO";
				end
				-- GOH DEBUGGER: UNIT_SPELLCAST_SUCCEEDED
	  			if GoHv5_DeathKnight_Data.config.DEBUG_UNIT_SPELLCAST_SUCCEEDED == nil then
					GoHv5_DeathKnight_Data.config.DEBUG_UNIT_SPELLCAST_SUCCEEDED = "NO";
				end
				-- GOH DEBUGGER: ADDON_ACTION_FORBIDDEN
	  			if GoHv5_DeathKnight_Data.config.DEBUG_ADDON_ACTION_FORBIDDEN == nil then
					GoHv5_DeathKnight_Data.config.DEBUG_ADDON_ACTION_FORBIDDEN = "NO";
				end
				-- GOH DEBUGGER: ADDON_ACTION_BLOCKED
	  			if GoHv5_DeathKnight_Data.config.DEBUG_ADDON_ACTION_BLOCKED == nil then
					GoHv5_DeathKnight_Data.config.DEBUG_ADDON_ACTION_BLOCKED = "NO";
				end
				-- GOH DEBUGGER: UNIT_AURA
	  			if GoHv5_DeathKnight_Data.config.DEBUG_UNIT_AURA == nil then
					GoHv5_DeathKnight_Data.config.DEBUG_UNIT_AURA = "NO";
				end

				-- GOH SETTING: A TARGET LEVEL TEMP
	  			if GoHv5_DeathKnight_Data.config.Target_Level_Temp_Value == nil then
					GoHv5_DeathKnight_Data.config.Target_Level_Temp_Value = 1;
				end
				-- GOH SETTING: DUEL SOUND OPTION
	  			if GoHv5_DeathKnight_Data.config.Duel_Sound == nil then
					GoHv5_DeathKnight_Data.config.Duel_Sound = "NO";
				end
				-- GOH SETTING: DUEL IMAGE OPTION
	  			if GoHv5_DeathKnight_Data.config.Duel_Image == nil then
					GoHv5_DeathKnight_Data.config.Duel_Image = "NO";
				end
				-- GOH SETTING: DUELS WON
	  			if GoHv5_DeathKnight_Data.config.Duels_Won == nil then
					GoHv5_DeathKnight_Data.config.Duels_Won = 0;
				end
				-- GOH SETTING: DUELS LOST
	  			if GoHv5_DeathKnight_Data.config.Duels_Lost == nil then
					GoHv5_DeathKnight_Data.config.Duels_Lost = 0;
				end
				-- GOH SETTING: DUELS WON TEMP
	  			if GoHv5_DeathKnight_Data.config.Duels_Won_Temp == nil then
					GoHv5_DeathKnight_Data.config.Duels_Won_Temp = 0;
				end
				-- GOH SETTING: DUELS LOST TEMP
	  			if GoHv5_DeathKnight_Data.config.Duels_Lost_Temp == nil then
					GoHv5_DeathKnight_Data.config.Duels_Lost_Temp = 0;
				end
				-- GOH SETTING: FLAWLESS VICTORY
	  			if GoHv5_DeathKnight_Data.config.Flawless_Victory == nil then
					GoHv5_DeathKnight_Data.config.Flawless_Victory = "NO";
				end
				-- GOH SETTING: HAS TAKEN DAMAGE
	  			if GoHv5_DeathKnight_Data.config.Has_Taken_Damage == nil then
					GoHv5_DeathKnight_Data.config.Has_Taken_Damage = "NO";
				end
				-- GOH SETTING: KNOWN TYPES NPC PLAYER PET UNKNOWN
	  			if GoHv5_DeathKnight_Data.config.KnownTypes == nil then
					GoHv5_DeathKnight_Data.config.KnownTypes = "No Target";
				end
				-- GOH SETTING: LAST KILL BY YOU LEVEL
	  			if GoHv5_DeathKnight_Data.config.Last_Kill_By_You_Level == nil then
					GoHv5_DeathKnight_Data.config.Last_Kill_By_You_Level = 0;
				end
				-- GOH SETTING: LAST KILL BY YOU LEVEL TEMP
	  			if GoHv5_DeathKnight_Data.config.Last_Kill_By_You_Level_TEMP == nil then
					GoHv5_DeathKnight_Data.config.Last_Kill_By_You_Level_TEMP = "NO";
				end
				-- GOH SETTING: LAST KILL BY YOU
	  			if GoHv5_DeathKnight_Data.config.Last_Kill_By_You == nil then
					GoHv5_DeathKnight_Data.config.Last_Kill_By_You = "NO";
				end
				-- GOH SETTING: TEMP TARGET NAME
	  			if GoHv5_DeathKnight_Data.config.Temp_Target_Name == nil then
					GoHv5_DeathKnight_Data.config.Temp_Target_Name = "No Target";
				end
				-- GOH SETTING: YOUR TARGET TYPE WAS A
	  			if GoHv5_DeathKnight_Data.config.Your_Target_Was_A == nil then
					GoHv5_DeathKnight_Data.config.Your_Target_Was_A = "No Target";
				end
				-- GOH SETTING: YOUR TARGET NAME WAS A
	  			if GoHv5_DeathKnight_Data.config.Your_Target_Name_Was_A == nil then
					GoHv5_DeathKnight_Data.config.Your_Target_Name_Was_A = "No Target";
				end
				-- GOH SETTING: YOUR TARGET IS A
	  			if GoHv5_DeathKnight_Data.config.Your_Target_Is_A == nil then
					GoHv5_DeathKnight_Data.config.Your_Target_Is_A = "No Target";
				end
				-- GOH SETTING: FINISH IT HAS BEEN ANNOUNCED
	  			if GoHv5_DeathKnight_Data.config.Finish_It_Has_Been_Announced == nil then
					GoHv5_DeathKnight_Data.config.Finish_It_Has_Been_Announced = "NO";
				end
				-- GOH SETTING: USE FINISH HIM IMAGE
	  			if GoHv5_DeathKnight_Data.config.Use_Finish_Him_Image == nil then
					GoHv5_DeathKnight_Data.config.Use_Finish_Him_Image = "NO";
				end
				-- GOH SETTING: FINISH HIM
	  			if GoHv5_DeathKnight_Data.config.Use_Finish_Him_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Use_Finish_Him_Sounds = "NO";
				end
				-- GOH SETTING: GRAB TOC VERSION
	  			if GoHv5_DeathKnight_Data.config.ToC_Version == nil then
					GoHv5_DeathKnight_Data.config.ToC_Version = "BLANK";
				end
				-- GOH SETTING: CONJURE TEMP SPELL
	  			if GoHv5_DeathKnight_Data.config.Conjure_Temp_Spell == nil then
					GoHv5_DeathKnight_Data.config.Conjure_Temp_Spell = "BLANK";
				end
				-- GOH SETTING: ANNOUNCE PORTALS
	  			if GoHv5_DeathKnight_Data.config.Announce_Portals == nil then
					GoHv5_DeathKnight_Data.config.Announce_Portals = "NO";
				end
				-- GOH SETTING: ANNOUNCE CONJURED ITEMS
	  			if GoHv5_DeathKnight_Data.config.Announce_Conjured_Items == nil then
					GoHv5_DeathKnight_Data.config.Announce_Conjured_Items = "NO";
				end
				-- GOH SETTING: USE FIGHT IMAGE
	  			if GoHv5_DeathKnight_Data.config.Use_Fight_Image == nil then
					GoHv5_DeathKnight_Data.config.Use_Fight_Image = "NO";
				end
				-- GOH SETTING: YOU HAVE BEEN INSULTED
	  			if GoHv5_DeathKnight_Data.config.You_Have_Been_Insulted == nil then
					GoHv5_DeathKnight_Data.config.You_Have_Been_Insulted = "NO";
				end
				-- GOH SETTING: PLAY INSULTS
	  			if GoHv5_DeathKnight_Data.config.Play_Insults == nil then
					GoHv5_DeathKnight_Data.config.Play_Insults = "NO";
				end
				-- GOH SETTING: PLAY BATTLEGROUND SOUNDS
	  			if GoHv5_DeathKnight_Data.config.Play_BattleGround_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Play_BattleGround_Sounds = "NO";
				end
				-- GOH SETTING: TARGET SOUND
	  			if GoHv5_DeathKnight_Data.config.Use_Target_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Use_Target_Sounds = "NO";
				end
				-- GOH COMBAT: SOUND - 'BLOCK'
	  			if GoHv5_DeathKnight_Data.config.Combat_Sound_Block == nil then
					GoHv5_DeathKnight_Data.config.Combat_Sound_Block = "NO";
				end
				-- GOH COMBAT: TEXT - 'BLOCK'
	  			if GoHv5_DeathKnight_Data.config.Combat_Text_Block == nil then
					GoHv5_DeathKnight_Data.config.Combat_Text_Block = "NO";
				end

				-- GOH COMBAT: SOUND - 'DODGE'
	  			if GoHv5_DeathKnight_Data.config.Combat_Sound_Dodge == nil then
					GoHv5_DeathKnight_Data.config.Combat_Sound_Dodge = "NO";
				end
				-- GOH COMBAT: TEXT - 'DODGE'
	  			if GoHv5_DeathKnight_Data.config.Combat_Text_Dodge == nil then
					GoHv5_DeathKnight_Data.config.Combat_Text_Dodge = "NO";
				end

				-- GOH COMBAT: SOUND - 'MISS'
	  			if GoHv5_DeathKnight_Data.config.Combat_Sound_Miss == nil then
					GoHv5_DeathKnight_Data.config.Combat_Sound_Miss = "NO";
				end
				-- GOH COMBAT: TEXT - 'MISS'
	  			if GoHv5_DeathKnight_Data.config.Combat_Text_Miss == nil then
					GoHv5_DeathKnight_Data.config.Combat_Text_Miss = "NO";
				end

				-- GOH COMBAT: SOUND - 'PARRY'
	  			if GoHv5_DeathKnight_Data.config.Combat_Sound_Parry == nil then
					GoHv5_DeathKnight_Data.config.Combat_Sound_Parry = "NO";
				end
				-- GOH COMBAT: TEXT - 'PARRY'
	  			if GoHv5_DeathKnight_Data.config.Combat_Text_Parry == nil then
					GoHv5_DeathKnight_Data.config.Combat_Text_Parry = "NO";
				end

				-- GOH SETTINGS: USE MINIMAP SPEC ICON
	  			if GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon == nil then
					GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon = "NO";
				end
				-- GOH SETTINGS: YOUR SPEC IS
	  			if GoHv5_DeathKnight_Data.config.Current_Spec == nil then
					GoHv5_DeathKnight_Data.config.Current_Spec = "Nothing";
				end
				-- GOH SETTINGS: SHOW TOOLTIP AURA SOURCE
	  			if GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource == nil then
					GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource = "NO";
				end
				-- GOH SETTINGS: SHOW TOOLTIP SPELL AND ITEM IDS
	  			if GoHv5_DeathKnight_Data.config.Show_Tooltip_SpellIDs == nil then
					GoHv5_DeathKnight_Data.config.Show_Tooltip_SpellIDs = "NO";
				end
				-- GOH SETTINGS: HEALTH PERCENTAGE
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == nil then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .20;
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage_Value == nil then
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "20"
				end

				-- GOH SETTINGS: HEALTH RESET
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "25" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .25;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "25";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "20" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .20;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "20";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "15" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .15;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "15";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "10" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .10;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "10";
				end
	  			if GoHv5_DeathKnight_Data.config.Health_Percentage == "5" then
					GoHv5_DeathKnight_Data.config.Health_Percentage = .05;
					GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "5";
				end

				-- GOH SETTINGS: MANA PERCENTAGE
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == nil then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .15;
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage_Value == nil then
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "15"
				end
				-- GOH SETTINGS: HEALTH RESET
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "25" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .25;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "25";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "20" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .20;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "20";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "15" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .15;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "15";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "10" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .10;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "10";
				end
	  			if GoHv5_DeathKnight_Data.config.Mana_Percentage == "5" then
					GoHv5_DeathKnight_Data.config.Mana_Percentage = .05;
					GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "5";
				end

				-- GOH SETTINGS: USE MANA WARNING
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning = "NO";
				end
				-- GOH SETTINGS: USE MANA WARNING SOUND
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound = "NO";
				end
				-- GOH SETTINGS: USE MANA WARNING EMOTE
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote = "NO";
				end
				-- GOH SETTINGS: USE MANA WARNING EMOTE SHOWN
	  			if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote_Shown == nil then
					GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote_Shown = "NO";
				end

				-- GOH SETTINGS: USE HEALTH WARNING
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning = "NO";
				end
				-- GOH SETTINGS: USE HEALTH WARNING SOUND
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound = "NO";
				end
				-- GOH SETTINGS: USE HEALTH WARNING EMOTE
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote = "NO";
				end
				-- GOH SETTINGS: USE HEALTH WARNING EMOTE SHOWN
	  			if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote_Shown == nil then
					GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote_Shown = "NO";
				end


				-- GOH SETTINGS: USE MK FONT
	  			if GoHv5_DeathKnight_Data.config.Use_MK_Font == nil then
					GoHv5_DeathKnight_Data.config.Use_MK_Font = "NO";
				end

				-- GOH DEATHKNIGHT: Page Tab
	  			if GoHv5_DeathKnight_Data.config.Page_Tab == nil then
					GoHv5_DeathKnight_Data.config.Page_Tab = "ONE";
				end

				-- GOH SETTINGS: Page Tab
	  			if GoHv5_DeathKnight_Data.config.Settings_Page_Tab == nil then
					GoHv5_DeathKnight_Data.config.Settings_Page_Tab = "ONE";
				end

				-- GOH DEATHKNIGHT: INCLUDE RUDE SOUNDS
	  			if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "NO";
				end

				-- GOH DEATHKNIGHT: INCLUDE HEADLESS HORSEMAN SOUND
	  			if GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == nil then
					GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "NO";
				end

				-- GOH DEATHKNIGHT: INCLUDE GOTCHA SOUND
	  			if GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == nil then
					GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "NO";
				end

				-- GOH DEATHKNIGHT: UNIT IN COMBAT
	  			if GoHv5_DeathKnight_Data.config.Unit_In_Combat == nil then
					GoHv5_DeathKnight_Data.config.Unit_In_Combat = "NO";
				end

				-- GOH DEATHKNIGHT: PLAYER FRAME IN RAIDS
	  			if GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids == nil then
					GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids = "NO";
				end

				-- GOH DEATHKNIGHT: SHOW PLAYER FRAMES
	  			if GoHv5_DeathKnight_Data.config.Show_Player_Frames == nil then
					GoHv5_DeathKnight_Data.config.Show_Player_Frames = "NO";
				end

				-- GOH DEATHKNIGHT: ENABLE PLAYER FRAMES
	  			if GoHv5_DeathKnight_Data.config.Enable_Player_Frames == nil then
					GoHv5_DeathKnight_Data.config.Enable_Player_Frames = "NO";
				end

				-- GOH DEATHKNIGHT: SHOW END CAPS
	  			if GoHv5_DeathKnight_Data.config.Show_End_Caps == nil then
					GoHv5_DeathKnight_Data.config.Show_End_Caps = "NO";
				end

				-- GOH DEATHKNIGHT: ENABLE END CAPS
	  			if GoHv5_DeathKnight_Data.config.Enable_End_Caps == nil then
					GoHv5_DeathKnight_Data.config.Enable_End_Caps = "NO";
				end

				-- GOH MENU: SHOW OR HIDE THE MINIMAP ICON
	  			if GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == nil then
					GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "YES";
				end

				-- GOH AUTO DECLINE: CHARTER PETITIONS
	  			if GoHv5_DeathKnight_Data.config.Block_Charter_Petitions == nil then
					GoHv5_DeathKnight_Data.config.Block_Charter_Petitions = "NO";
				end

				-- GOH AUTO DECLINE: GUILD INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Guild_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Guild_Invites = "NO";
				end

				-- GOH AUTO DECLINE: PARTY INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Party_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Party_Invites = "NO";
				end

				-- GOH AUTO DECLINE: ARENA INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Arena_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Arena_Invites = "NO";
				end

				-- GOH AUTO DECLINE: DUEL REQUESTS
	  			if GoHv5_DeathKnight_Data.config.Block_Duel_Requests == nil then
					GoHv5_DeathKnight_Data.config.Block_Duel_Requests = "NO";
				end

				-- GOH AUTO DECLINE: TRADE REQUESTS
	  			if GoHv5_DeathKnight_Data.config.Block_Trade_Requests == nil then
					GoHv5_DeathKnight_Data.config.Block_Trade_Requests = "NO";
				end

				-- GOH AUTO DECLINE: SEND REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper == nil then
					GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper = "NO";
				end

				-- GOH AUTO DECLINE: REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDecline_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDecline_Whisper_Message = "Your request has been automatically declined.";
				end

				-- GOH AUTO DND: AUCTION HOUSE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "NO";
				end

				-- GOH AUTO DND: AUCTION HOUSE - SEND AUTO REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply = "NO";
				end

				-- GOH AUTO DND: AUCTION HOUSE - REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Whisper_Message = "I'm busy at the moment, sorry.";
				end

				-- GOH AUTO DND: IN COMBAT
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "NO";
				end

				-- GOH AUTO DND: IN COMBAT - SEND AUTO REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply = "NO";
				end

				-- GOH AUTO DND: IN COMBAT - REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Whisper_Message = "I'm in combat at the moment, sorry.";
				end

				-- GOH TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == nil then
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "YES";
				end
				-- GOH TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Timer_Time == nil then
					GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				end

				-- GOH SECONDARY TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Ready == nil then
					GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Ready = "YES";
				end
				-- GOH SECONDARY TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Time == nil then
					GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Time = 0;
				end


				-- BEGIN DEATH KNIGHT SPELL SETTINGS
	  			if GoHv5_DeathKnight_Data.config.Death_Grip == nil then
					GoHv5_DeathKnight_Data.config.Death_Grip = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Horn_of_Winter == nil then
					GoHv5_DeathKnight_Data.config.Horn_of_Winter = "NO";
				end
	  			if GoHv5_DeathKnight_Data.config.Horn_of_Winter_Ends == nil then
					GoHv5_DeathKnight_Data.config.Horn_of_Winter_Ends = "NO";
				end
	  			if GoHv5_DeathKnight_Data.config.Horn_of_Winter_Casted == nil then
					GoHv5_DeathKnight_Data.config.Horn_of_Winter_Casted = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_and_Decay == nil then
					GoHv5_DeathKnight_Data.config.Death_and_Decay = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Pestilence == nil then
					GoHv5_DeathKnight_Data.config.Pestilence = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Outbreak == nil then
					GoHv5_DeathKnight_Data.config.Outbreak = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Blood_Tap == nil then
					GoHv5_DeathKnight_Data.config.Blood_Tap = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Coil == nil then
					GoHv5_DeathKnight_Data.config.Death_Coil = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == nil then
					GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Icebound_Fortitude == nil then
					GoHv5_DeathKnight_Data.config.Icebound_Fortitude = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Blood_Presence == nil then
					GoHv5_DeathKnight_Data.config.Blood_Presence = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Frost_Presence == nil then
					GoHv5_DeathKnight_Data.config.Frost_Presence = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Unholy_Presence == nil then
					GoHv5_DeathKnight_Data.config.Unholy_Presence = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.AntiMagic_Shell == nil then
					GoHv5_DeathKnight_Data.config.AntiMagic_Shell = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.AntiMagic_Zone == nil then
					GoHv5_DeathKnight_Data.config.AntiMagic_Zone = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Raise_Ally == nil then
					GoHv5_DeathKnight_Data.config.Raise_Ally = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Void_Touch_Debuff == nil then
					GoHv5_DeathKnight_Data.config.Void_Touch_Debuff = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Raise_Dead == nil then
					GoHv5_DeathKnight_Data.config.Raise_Dead = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Army_of_the_Dead == nil then
					GoHv5_DeathKnight_Data.config.Army_of_the_Dead = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Summon_Gargoyle == nil then
					GoHv5_DeathKnight_Data.config.Summon_Gargoyle = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Pact == nil then
					GoHv5_DeathKnight_Data.config.Death_Pact = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Transformation == nil then
					GoHv5_DeathKnight_Data.config.Dark_Transformation = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Strangulate == nil then
					GoHv5_DeathKnight_Data.config.Strangulate = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Mind_Freeze == nil then
					GoHv5_DeathKnight_Data.config.Mind_Freeze = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Unholy_Frenzy == nil then
					GoHv5_DeathKnight_Data.config.Unholy_Frenzy = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Blood_Boil == nil then
					GoHv5_DeathKnight_Data.config.Blood_Boil = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Command == nil then
					GoHv5_DeathKnight_Data.config.Dark_Command = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Bone_Shield == nil then
					GoHv5_DeathKnight_Data.config.Bone_Shield = "NO";
				end
	            if GoHv5_DeathKnight_Data.config.Bone_Shield_Ends == nil then
					GoHv5_DeathKnight_Data.config.Bone_Shield_Ends = "NO";
				end
	  			if GoHv5_DeathKnight_Data.config.Bone_Shield_Casted == nil then
					GoHv5_DeathKnight_Data.config.Bone_Shield_Casted = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Unholy_Blight == nil then
					GoHv5_DeathKnight_Data.config.Unholy_Blight = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Chains_of_Ice == nil then
					GoHv5_DeathKnight_Data.config.Chains_of_Ice = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Simulation == nil then
					GoHv5_DeathKnight_Data.config.Dark_Simulation = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Icy_Touch == nil then
					GoHv5_DeathKnight_Data.config.Icy_Touch = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Path_of_Frost == nil then
					GoHv5_DeathKnight_Data.config.Path_of_Frost = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == nil then
					GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == nil then
					GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Remorseless_Winter == nil then
					GoHv5_DeathKnight_Data.config.Remorseless_Winter = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Asphyxiate == nil then
					GoHv5_DeathKnight_Data.config.Asphyxiate = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Deaths_Advance == nil then
					GoHv5_DeathKnight_Data.config.Deaths_Advance = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == nil then
					GoHv5_DeathKnight_Data.config.Gorfiends_Grasp = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == nil then
					GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == nil then
					GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "NO";
				end
	  			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Image == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fatality_Image = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.ToCatchAFrame == nil then
					GoHv5_DeathKnight_Data.config.ToCatchAFrame = "Deathknight";
				end

	  			if GoHv5_DeathKnight_Data.config.LoggedInAsClass == nil then
					GoHv5_DeathKnight_Data.config.LoggedInAsClass = "DEATHKNIGHT";
				end

	  			if GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == nil then
					GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Gate == nil then
					GoHv5_DeathKnight_Data.config.Death_Gate = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Control_Undead == nil then
					GoHv5_DeathKnight_Data.config.Control_Undead = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Rune_Tap == nil then
					GoHv5_DeathKnight_Data.config.Rune_Tap = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Plague_Leech == nil then
					GoHv5_DeathKnight_Data.config.Plague_Leech = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Lichborne == nil then
					GoHv5_DeathKnight_Data.config.Lichborne = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Desecrated_Ground == nil then
					GoHv5_DeathKnight_Data.config.Desecrated_Ground = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Vampiric_Blood == nil then
					GoHv5_DeathKnight_Data.config.Vampiric_Blood = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Blood_Strike == nil then
					GoHv5_DeathKnight_Data.config.Blood_Strike = "NO";
				end

                if GoHv5_DeathKnight_Data.config.Frost_Strike == nil then
					GoHv5_DeathKnight_Data.config.Frost_Strike = "NO";
				end
	            if GoHv5_DeathKnight_Data.config.Heart_Strike == nil then
					GoHv5_DeathKnight_Data.config.Heart_Strike = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Rune_Strike == nil then
					GoHv5_DeathKnight_Data.config.Rune_Strike = "NO";
				end
	            if GoHv5_DeathKnight_Data.config.Scourge_Strike == nil then
					GoHv5_DeathKnight_Data.config.Scourge_Strike = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Death_Strike == nil then
					GoHv5_DeathKnight_Data.config.Death_Strike = "NO";
				end
				if GoHv5_DeathKnight_Data.config.Obliterate == nil then
					GoHv5_DeathKnight_Data.config.Obliterate = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Pillar_of_Frost == nil then
					GoHv5_DeathKnight_Data.config.Pillar_of_Frost = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Howling_Blast == nil then
					GoHv5_DeathKnight_Data.config.Howling_Blast = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Festering_Strike == nil then
					GoHv5_DeathKnight_Data.config.Festering_Strike = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Death_Siphon == nil then
					GoHv5_DeathKnight_Data.config.Death_Siphon = "NO";
				end
	            if GoHv5_DeathKnight_Data.config.Conversion == nil then
					GoHv5_DeathKnight_Data.config.Conversion = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Plague_Strike == nil then
					GoHv5_DeathKnight_Data.config.Plague_Strike = "NO";
				end
                if GoHv5_DeathKnight_Data.config.Necrotic_Strike == nil then
					GoHv5_DeathKnight_Data.config.Necrotic_Strike = "NO";
				end
		        if GoHv5_DeathKnight_Data.config.Soul_Reaper == nil then
					GoHv5_DeathKnight_Data.config.Soul_Reaper = "NO";
				end

				-- ###### Death Charger Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger = "NO";
				end

				-- ###### Ebon Blade Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade = "NO";
				end

				-- ###### Use Death Charger Name - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName = "NO";
				end

				-- ###### Use Ebon Blade Name - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName = "NO";
				end

				-- ###### Death Charger Custom Default Name is 'Bam Bam'
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName = "Bam Bam";
				end

				-- ###### Ebon Blade Custom Default Name is 'Pebbles'
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName = "Pebbles";
				end

				-- ###### Blood Presence Reminder Option
	  			if GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder == nil then
					GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder = "NO";
				end

				-- WORGEN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial == nil then
					GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial = "NO";
				end

				-- GNOME RACIAL
	  			if GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial == nil then
					GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial = "NO";
				end

				-- DRAENEI RACIAL
	  			if GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial == nil then
					GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial = "NO";
				end

				-- DWARVE RACIAL
	  			if GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial == nil then
					GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial = "NO";
				end

				-- PANDAREN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial == nil then
					GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial = "NO";
				end

				-- BLOODELF RACIAL
	  			if GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial == nil then
					GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial = "NO";
				end

				-- GOBLIN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial == nil then
					GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial = "NO";
				end

				-- ORC RACIAL
	  			if GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial == nil then
					GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial = "NO";
				end

				-- TAUREN RACIAL
	  			if GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial == nil then
					GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial = "NO";
				end

				-- TROLL RACIAL
	  			if GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial == nil then
					GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial = "NO";
				end

				-- UNDEAD RACIAL
	  			if GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial == nil then
					GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial = "NO";
				end

				GoHv5_wait(3.0, GoH5_PrintMSG,"Get Over Here! - Core Files Loaded.");
				GoH_DeathKnight.SavedVariablesLoaded = "YES";
		end
end